Doomsday Engine - Bug #2119
Failed conversion of .dsg savegame with ambiguous game mode

2015-10-11 18:46 - gattovicentino

Status: Closed Start date: 2015-10-11
Priority: Normal % Done: 100%
Assignee: danij

Category: Defect

Target version: 1.15.5

Description

old .DSG savegame (saved playing Plutonia.wad + PL2.wad additional PWAD) not automatically converted into .SAVE format.
With manual conversion (savegametool in Dos Prompt) a .SAVE file is generated but it's not recognized when copied in its proper
directory ("empty slot" inside the game).

Associated revisions

Revision e388fdd1 - 2015-10-11 21:08 - danij

Fixed|Savegame Tool: Failed conversion of .dsg savegame with ambiguous game mode (typo)

IssuelD #2119

Revision b18a2af2 - 2015-10-11 21:10 - danij

Fixed|Savegame Tool: Failed conversion of .dsg savegame with ambiguous game mode (typo)

IssuelD #2119

History

#1 - 2015-10-11 19:17 - danij
- Tags set to SaveGame
- Status changed from New to In Progress

- Assignee set to danij

#2 - 2015-10-11 19:28 - danij

I've had a look at your .dsg file and it seems to be fine, however the intended game mode is ambiguous (due to a technical issue in the old save
format). The reason the converted .save file is not being detected is a result of this ambiguity, which is why we provide the means for manually
converting old savegames.

To resolve the ambiguity one would usually specify the identity key of the intended game mode (see:
http:/dengine.net/dew/index.php?title=Game_identity key) manually, for example:

savegametool -idkey doom2-plut doomsav2.dsg

However, there appears to be a typo in the savegametool (doh!) which means this isn't currently working as expected. Will fix...

#3 - 2015-10-11 19:29 - danij
- Category set to Defect

#4 - 2015-10-11 19:33 - danij

- Subject changed from savegame issue: from .DSG to .SAVE to Failed conversion of .dsg savegame with ambiguous game mode

#5 - 2015-10-11 19:40 - danij

- File doomsav2.save added

| addressed the typo | mentioned above and converted your .dsg savegame successfully, which I'll attach to this report.

I'll prepare and commit a fix to the current stable branch shortly...

#6 - 2015-10-11 20:15 - gattovicentino
http://dengine.net/dew/index.php?title=Game_identity_key

danij wrote:

| addressed the typo | mentioned above and converted your .dsg savegame successfully, which I'll attach to this report.

I'll prepare and commit a fix to the current stable branch shortly...

Thanks! | tried the savegame and it works! I'll wait for your fix too, maybe | have some more interesting old .dsg to convert.
Thanks again :-)

#7 - 2015-10-11 21:28 - danij
- % Done changed from 0 to 100

#8 - 2015-10-11 21:39 - skyjake

- Target version setto 1.15.5

#9 - 2015-10-30 20:45 - skyjake

- Status changed from In Progress to Closed

Files
DoomSav2.dsg 40.9 KB 2015-10-11 gattovicentino
doomsav2.save 17.3 KB 2015-10-11 danij
